POST /ideogram/edit
Method: POSTEndpoint: /ideogram/edit
Remix provided images synchronously based on a given prompt and optional parameters Provides remixed images in real time based on the given prompt and optional parameters.
Request Parameters
Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters multipart/form-data
text
image_file
file
Optional
An image binary; only JPEG, WEBPs and PNGs are supported at this time
// provider-specific example normalized for English documentation
mask
file
Optional
prompt
string
Optional
Example:
cat
model
string
Optional
Example:
V_2_TURBO
magic_prompt_option
enum<string>
Optional
AUTO
ON
OFF
Enum Values:
AUTO
ON
OFF
Example:
AUTO
seed
integer
Optional
style_type
string
Optional
// provider-specific example normalized for English documentation
Example Value:
AUTO
GENERAL
REALISTIC
DESIGN
RENDER_3D
ANIMEExample Request
Shell
bash
curl --location --request POST '/ideogram/edit' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--form 'image_file=@""' \
--form 'mask=@""' \
--form 'prompt="cat"' \
--form 'model="V_2_TURBO"' \
--form 'magic_prompt_option="AUTO"' \
--form 'seed=""' \
--form 'style_type=""'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"data": [
{
"seed": 12345,
"prompt": "A serene tropical beach scene. Dominating the foreground are tall palm trees with lush green leaves, standing tall against a backdrop of a sandy beach. The beach leads to the azure waters of the sea, which gently kisses the shoreline. In the distance, there's an island or landmass with a silhouette of what appears to be a lighthouse or tower. The sky above is painted with fluffy white clouds, some of which are tinged with hues of pink and orange, suggesting either a sunrise or sunset.",
"resolution": "1024x1024",
"url": "https://ideogram.ai/api/images/direct/8YEpFzHuS-S6xXEGmCsf7g",
"is_image_safe": true
},
{
"seed": 12345,
"prompt": "A serene tropical beach scene. Dominating the foreground are tall palm trees with lush green leaves, standing tall against a backdrop of a sandy beach. The beach leads to the azure waters of the sea, which gently kisses the shoreline. In the distance, there's an island or landmass with a silhouette of what appears to be a lighthouse or tower. The sky above is painted with fluffy white clouds, some of which are tinged with hues of pink and orange, suggesting either a sunrise or sunset.",
"resolution": "1024x1024",
"url": "https://ideogram.ai/api/images/direct/8YEpFzHuS-S6xXEGmCsf7g",
"is_image_safe": true
}
],
"created": "2000-01-23T04:56:07.000Z"
}